Bug 999783 - [RFE] Webadmin: check RHEVM role component if a subtree component is checked
[RFE] Webadmin: check RHEVM role component if a subtree component is checked
Status: NEW
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
unspecified
All Linux
medium Severity medium
: ovirt-4.3.0
: ---
Assigned To: Greg Sheremeta
Pavel Stehlik
: FutureFeature
Depends On:
Blocks: 1223003
  Show dependency treegraph
 
Reported: 2013-08-22 02:17 EDT by Anand Nande
Modified: 2017-11-21 04:04 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sherold: Triaged+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 460853 None None None Never

  None (edit)
Comment 2 Einav Cohen 2013-11-07 15:43:18 EST
very similar to the request in bug 985637 (identical request, different tree).
as mentioned in bug 985637, comment #2 - we need a 'half-checked' check-box in order to support this properly (the 'parent' check-box should be fully checked only if *all* of its 'child' check-boxes are checked).
Comment 8 Greg Sheremeta 2017-11-15 21:11:20 EST
As mentioned in Comment 2, this can be accomplished with a 'half-checked' checkbox. This is built into HTML via 'indeterminate checkboxes'.

https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input/checkbox

"A checkbox in the indeterminate state has a horizontal line in the box (it looks somewhat like a hyphen or minus sign) instead of a check/tick in most browsers.

There are not many use cases for this property. The most common is when a checkbox is available that "owns" a number of sub-options (which are also checkboxes). If all of the sub-options are checked, the owning checkbox is also checked, and if they're all unchecked, the owning checkbox is unchecked. If any one or more of the sub-options have a different state than the others, the owning checkbox is in the indeterminate state."

Targeting to 4.3

Note You need to log in before you can comment on or make changes to this bug.